import Base from "./base";
import {H3Event} from "h3";

export type Category = {
  id: number;
  siteId: number;
  parentId?: number;
  title: string;
  code: string;
  description?: string;
  thumbnail?: string;
  keyword?: string;
  taxonomy?: string;
  type: number;
  layout?: number;
  template?: string;
  feature?: string;
  settings?: string;
  order?: number;
  isPublished?: boolean;
  publishType?: number;
  publishedBy?: string;
  publishedOn?: string;
  status: number;
} & Base;

export type CategoryTree = Category &  {
  children?: Category[]
}

export const list = async () => {
  try {
    const { site, apiUrl } = useRuntimeConfig().public;    

    const { items }: CategoryTree[] | any = await $fetch(`${apiUrl}/cms/category/tree/site:1`, {
      method: "GET",
      headers: {
        site: 1,
      },
    });    
    return { items } ;
  } catch (error) {
    handleError(error);
  }
};
